.BG
.FN yags 
.TL
solve GEEs with flexible model specification v1.5.1.1
.DN
revised GEE solver using pmat patterned matrix library
.CS
yags <- function(formula, id, weights=NULL, cor.met=NULL, family, alpfun=NULL, 
               scalefun=LZ.scalefun, wcorigen=identni, tol=0.0001, 
               contrasts = NULL, corstr=c("independence",
               "exchangeable","ar1", "unstructured"), maxiter=25)
.RA
.AG formula
standard model formula.  In 1.5.1.1, binomial matrices
are handled as in glm -- if the response variable is
a vector with 2 columns, column 1 is construed as
counts of successes, column 2 as counts of failures
.AG id
cluster discriminating vector -- data should be
sorted by this vector 
.AG weights
weights as used by glm() or lm()
.AG cor.met
the ``correlation metameter'' structure, which
locates outcome elements in the working
correlation model.  Typically this
will be a length(outcome) x 1 vector of observation times, but
a matrix with length(outcome) rows can be used
.AG family
GLM family -- note that if you are creating a new
family, you must be sure a function called dinv.deta
(derivative of inverse link) is an element
.AG alpfun
function that obtains estimate of correlation
parameter vector denoted alpha in Liang and Zeger 1986;
look at distributed function LZ.exchalp for illustration
of structure
.AG scalefun
function that obtains estimate of scale parameter phi,
look at distributed function LZ.scalefun for illustration
of structure
.AG wcorigen
function that returns inverse of working correlation
matrix for a given cluster, look at
distributed function exchiput for illustration of structure
.AG tol
convergence criterion
.AG contrasts
standard contrasts
.AG corstr
a character string indicating that a pre-coded working correlation
model should be used -- choose from "independence", "exchangeable",
"ar1" and "unstructured" if you are not supplying the (alpfun,
wcorigen) components
.RT
a yags object; summary and printing methods are provided.
.SE
can use a C library to accelerate some matrix operations
.DT
a woven noweb document supplied with the distribution
gives full details on code and userwritten extension
.SH REFERENCES
Liang and Zeger Biometrika 1986
.SA
.EX
N1 _ yags(formula = BAlr.y ~ Alr.trt, id = Test.id, family = binomial, alpfun = 
        LZ.exchalp, scalefun = LZ.scalefun, wcorigen = excoriput)
.KW longitudinal data
.WR
